Package org.apache.maven.scm.command.changelog

## Class ChangeLogSet

- java.lang.Object
- - org.apache.maven.scm.command.changelog.ChangeLogSet

    public class ChangeLogSet
    extends java.lang.Object

Author:
  Emmanuel Venisse

### Field Summary

Fields
`static java.lang.String` `DEFAULT_ENCODING`

### Constructor Summary

Constructors
`ChangeLogSet​(java.util.Date startDate, java.util.Date endDate)` Initializes a new instance of this class.
`ChangeLogSet​(java.util.List<ChangeSet> entries, java.util.Date startDate, java.util.Date endDate)` Initializes a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ChangeSet>` `getChangeSets()` Returns the collection of changeSet.
`java.util.Date` `getEndDate()` Returns the end date for this set.
`ScmVersion` `getEndVersion()` Returns the end version (revision/branch/label) for this set.
`java.util.Date` `getStartDate()` Returns the start date.
`ScmVersion` `getStartVersion()` Returns the start version (revision/branch/label) for this set.
`void` `setChangeSets​(java.util.List<ChangeSet> changeSets)`
`void` `setEndVersion​(ScmVersion endVersion)`
`void` `setStartVersion​(ScmVersion startVersion)`
`java.lang.String` `toXML()` Creates an XML representation of this change log set with a default encoding (ISO-8859-1).
`java.lang.String` `toXML​(java.lang.String encoding)` Creates an XML representation of this change log set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### Constructor Detail

#### ChangeLogSet

    public ChangeLogSet​(java.util.Date startDate,
                        java.util.Date endDate)

Initializes a new instance of this class.

Parameters:
  `startDate` - the start date/tag for this set.
  `endDate` - the end date/tag for this set, or `null` if this set goes to the present time.

#### ChangeLogSet

    public ChangeLogSet​(java.util.List<ChangeSet> entries,
                        java.util.Date startDate,
                        java.util.Date endDate)

Initializes a new instance of this class.

Parameters:
  `entries` - collection of `ChangeSet` objects for this set.
  `startDate` - the start date/tag for this set.
  `endDate` - the end date/tag for this set, or `null` if this set goes to the present time.

### Method Detail

#### getStartDate

    public java.util.Date getStartDate()

Returns the start date.

Returns:
  the start date.

#### getEndDate

    public java.util.Date getEndDate()

Returns the end date for this set.

Returns:
  the end date for this set, or `null` if this set goes to the present time.

#### getStartVersion

    public ScmVersion getStartVersion()

Returns the start version (revision/branch/label) for this set.

Returns:
  the start version (revision/branch/label) for this set, or `null`.

#### setStartVersion

    public void setStartVersion​(ScmVersion startVersion)

#### getEndVersion

    public ScmVersion getEndVersion()

Returns the end version (revision/branch/label) for this set.

Returns:
  the end version (revision/branch/label) for this set, or `null`.

#### setEndVersion

    public void setEndVersion​(ScmVersion endVersion)

#### getChangeSets

    public java.util.List<ChangeSet> getChangeSets()

Returns the collection of changeSet.

Returns:
  the collection of `ChangeSet` objects for this set.

#### setChangeSets

    public void setChangeSets​(java.util.List<ChangeSet> changeSets)

#### toXML

    public java.lang.String toXML()

Creates an XML representation of this change log set with a default encoding (ISO-8859-1).

#### toXML

    public java.lang.String toXML​(java.lang.String encoding)

Creates an XML representation of this change log set.